# x_batch_convert_to_table.praat
# Kendall et al. Performance in Coding Sociolinguistic Variables (Frontiers)
#
# Praat script
#
# Converts a directory full of TextGrids into Tables and writes them out as
#  tab-delimited textfiles.
#

# Enter the path to a directory in the form and the script will generate individual text files
# for each of the .TextGrid files (named the original name plus "_txout.txt", saved in the directory)
# Nb. It's probably easiest to set the directory name below:

form Open all files in directory
  sentence directory /Users/CORAAL/CORAALDC_MFA_ING_2019.03.05/
  sentence outdirectory /Users/CORAAL/CORAAL_VARAligned_as_Tables/
endform

Create Strings as file list... list 'directory$'*
numberOfFiles = Get number of strings
for ifile to numberOfFiles
	filename$ = Get string... ifile
		if right$ (filename$, 9) = ".TextGrid"
			Read from file... 'directory$''filename$'
			
			outfile$ = replace$ (filename$, ".TextGrid", "_txout.txt", 0)
			outfname$ = replace$ (filename$, ".TextGrid", "", 0)
			outpath$ = outdirectory$+outfile$

			Down to Table... no 4 yes no
			Save as tab-separated file... 'outpath$'
		endif
	select Strings list
endfor
select Strings list
Remove




